#ifndef _MW_LCD_H
#define _MW_LCD_H

typedef struct
{
	unsigned char Row;	/* row number for LCD command */
	unsigned char Data[12]; /* 12*8 = 96bit */
	unsigned char Dummy;	/* 0x00 dummy byte to latch data into LCD */
} tLcdLine;

extern tLcdLine lcd_buf[];

void memfill(void *target, unsigned char val, unsigned int count);

void mw_lcd_init(void);
void mw_lcd_clear(void);
void mw_lcd_clear_fb(void);
void mw_lcd_update_screen(void);

#if 0
#define LCD_BLACK	0
#define LCD_WHITE	1
#else
#define LCD_BLACK	1
#define LCD_WHITE	0
#endif
#define LCD_XOR		2
void mw_lcd_draw_pixel(const uint8_t x, const uint8_t y, const uint8_t color);

#endif

